Переполнение буфера в GIT

Дата публикации:
31.01.2006
Всего просмотров:
1770
Опасность:
Средняя
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
GIT 1.x
Уязвимые версии: GIT 1.1.4, возможно более ранние версии.

Описание:
Уязвимость позволяет удаленному пользователю выполнить произвольный код на целевой системе.

Уязвимость существует из-за ошибки в "git-checkout-index" при обработке слишком длинных символических ссылок. Удаленный пользователь может вызвать переполнение стека и выполнить произвольный код на целевой системе.

URL производителя: www.kernel.org/pub/software/scm/git/docs/

Решение: Установите последнюю версию (1.1.5) с сайта производителя.

Источник:

Ссылки: GIT "git-checkout-index" Symbolic Link Handling Buffer Overflow

или введите имя

CAPTCHA